Change
POST
/api/agents/{agent_id}/changes
const url = 'https://agentauthority.org/api/agents/example/changes';const options = { method: 'POST', headers: {'idempotency-key': 'example', 'Content-Type': 'application/json'}, body: '{"version":1,"kind":"transfer","new_owner_id":"example","public_key":"example","agreement_id":"example","custodian_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://agentauthority.org/api/agents/example/changes \ --header 'Content-Type: application/json' \ --header 'idempotency-key: example' \ --data '{ "version": 1, "kind": "transfer", "new_owner_id": "example", "public_key": "example", "agreement_id": "example", "custodian_id": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_id
required
Agent Id
string
Header Parameters
Section titled “Header Parameters”idempotency-key
required
Idempotency-Key
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Example generated
exampleValidation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}